Catch-ups
Get a catch-up setting
Returns one of the company’s catch-up settings by id. Available to company admins and reps with permission to view catch-ups.
GET
/
api
/
catch_up_settings
/
{id}
Get a catch-up setting
curl --request GET \
--url https://api.fluid.app/api/catch_up_settings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/catch_up_settings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/catch_up_settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/catch_up_settings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/catch_up_settings/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/catch_up_settings/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/catch_up_settings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"catch_up_setting": {
"id": 3342,
"company_id": 1405,
"name": "cart_abandoned",
"description": "Notify when a contact abandons their cart with items left inside.",
"active": true,
"uuid_v7": "01926d4e-8b3a-7c1f-9e42-5a7d3c8b1f06",
"created_at": "2026-09-02T18:30:12.471Z",
"updated_at": "2026-09-22T14:05:31.208Z"
},
"meta": {
"request_id": "7f3c2a91-5d4e-4b8a-9c61-2e8f0d3b5a47",
"timestamp": "2026-09-22T14:05:31Z"
}
}{
"message": "<string>"
}⌘I
Get a catch-up setting
curl --request GET \
--url https://api.fluid.app/api/catch_up_settings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/catch_up_settings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/catch_up_settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/catch_up_settings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/catch_up_settings/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/catch_up_settings/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/catch_up_settings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"catch_up_setting": {
"id": 3342,
"company_id": 1405,
"name": "cart_abandoned",
"description": "Notify when a contact abandons their cart with items left inside.",
"active": true,
"uuid_v7": "01926d4e-8b3a-7c1f-9e42-5a7d3c8b1f06",
"created_at": "2026-09-02T18:30:12.471Z",
"updated_at": "2026-09-22T14:05:31.208Z"
},
"meta": {
"request_id": "7f3c2a91-5d4e-4b8a-9c61-2e8f0d3b5a47",
"timestamp": "2026-09-22T14:05:31Z"
}
}{
"message": "<string>"
}